Name: i3blocks		
Version: 1.5	
Release: 1%{?dist}
Summary: A feed generator for text based status bars	
License: GPL
URL: https://github.com/vivien/i3blocks	
Source0: https://github.com/vivien/i3blocks/archive/%{version}.tar.gz
#BuildRequires:
#Requires:	

%description
i3blocks executes your command lines and generates a status line from their output.
Commands are scheduled at configured time intervals, upon signal reception or on clicks.
The generated line is meant to be displayed by the i3 window manager through its i3bar component,
as an alternative to i3status.
i3blocks is meant to be highly flexible but intuitive.
No library package is required, just output what your status bar expects,
from your favorite programming language and your preferred format.


%prep
%setup -q


%build
./autogen.sh
%configure
make %{?_smp_mflags}


%install
%make_install


%files
%{_sysconfdir}/i3blocks.conf
%{_bindir}/i3blocks
%{_datadir}/bash-completion/completions/i3blocks
%{_mandir}/man1/i3blocks.1.gz


%changelog

